# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel unzip
# END SourceDeps(oneline)
%define oldname python-googlevoice
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-googlevoice
Version:        0.5
Release:        alt1_6
Summary:        Python language bindings for the Google Voice API

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/pygooglevoice/
Source0:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}.tar.gz
Source1:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}-extras.zip

BuildArch:      noarch
BuildRequires:  python-module-distribute

Provides:       pygooglevoice = %{version}
Source44: import.info

%description
This project aims to bring the power of the Google Voice API to the
Python language in a simple, easy-to-use manner. Currently it allows
you to place calls, send sms, download voicemails/recorded messages,
and search the various folders of your Google Voice Accounts. You can
use the Python API or command line script to schedule calls, check for
new received calls/sms, or even sync your recorded voicemails/calls.

%prep
%setup0 -q -n pygooglevoice-%{version} -a 1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc doc examples
%{_bindir}/asterisk-gvoice-setup
%{_bindir}/gvoice
%{_bindir}/gvi
%{python_sitelibdir_noarch}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_5
- initial fc import

